★ TouchArcade needs your help. Click here to support us on Patreon.

I need to know if these games work on iOS 10.x please.

07-10-2017, 04:21 PM
#1
Joined: Mar 2017
Posts: 8
I need to know if these games work on iOS 10.x please.

Hey all,

I'm currently using the latest version of iOS 9, as I've confirmed all my apps that I haven't played still work for that version. I know it has been a long while since iOS 10 came out, but I didn't (and still don't) want to lose the chance of playing the games I paid for. However I'm so fed up with the almost constant update reminder that you can't disable about how I need to update (goddammit Apple, just let me decide), and I'm not missing so many games, so I figure I'd go check if the remaining games I have in the backlog are compatible with the latest iOS version using an iPad Pro (13 inch).

LEGO Batman: Beyond Gotham

LEGO The Lord of the Rings


Confirmed already:

Dust: An Elysian Tail - Confirmed working in post #4 by RHess00

Crashlands - Confirmed working in post #5 by squarezero

Final Fantasy V - Confirmed working in post #2 by RHess00

Final Fantasy VI - Confirmed working in post #2 by RHess00

Crypt of the Necrodancer - Confirmed working in post #5 by squarezero

Oceanhorn - Confirmed working in post #5 by squarezero

Space Marshals 2 - Confirmed working in post #5 by squarezero

FTL: Faster Than Light - Confirmed working in post #6 by FuZion

Avernum: Escape from the Pit HD - Confirmed working by Spiderweb Software by e-mail on July 12th.

Avernum 2: Crystal Souls HD - Confirmed working by Spiderweb Software by e-mail on July 12th.

Avadon 2: The Corruption HD - Confirmed working by Spiderweb Software by e-mail on July 12th.

Rollercoaster Tycoon 3 - Confirmed working via their Frontier Development ltd's knowledgebase page


I'd be really thankful if anyone can provide any feedback for any of the above mentioned games. You don't need to know for all of them, but the more confirmations I have one way or the other, the better I can make the decision on whether to upgrade or not.

Thanks in advance!

Last edited by Jinxtah; 07-12-2017 at 04:36 PM. Reason: Updated the list.
07-10-2017, 05:01 PM
#2
I can confirm that Final Fantasy V and VI works on 10.3.1.

07-10-2017, 05:03 PM
#3
Joined: Mar 2017
Posts: 8
Quote:
Originally Posted by RHess00 View Post
I can confirm that Final Fantasy V and VI works on 10.3.1.
Fantastic. Thank you so much! Those are two of the longer, and more important games in my backlog, so that's great. Now I just need to narrow down the rest. I'm mostly worried about Necrodancer and Dust. Hopefully we have some more members who can give me a heads up on the remainder of the games either way.
07-10-2017, 05:14 PM
#4
Quote:
Originally Posted by Jinxtah View Post
Fantastic. Thank you so much! Those are two of the longer, and more important games in my backlog, so that's great. Now I just need to narrow down the rest. I'm mostly worried about Necrodancer and Dust. Hopefully we have some more members who can give me a heads up on the remainder of the games either way.
You're welcome. I just checked Dust and it works too.
07-10-2017, 05:16 PM
#5
Dust works
Crashlands works
Oceanhorn works
Space Marshalls 2 works
Crypt of the NecroDancer works

I think that Lego Batman 3 works, but I'm not certain. The others I haven't played.
07-10-2017, 05:19 PM
#6
Joined: Jul 2011
Posts: 103
I have FTL here & that works fine.
07-10-2017, 05:38 PM
#7
Joined: Mar 2017
Posts: 8
Quote:
Originally Posted by RHess00 View Post
You're welcome. I just checked Dust and it works too.
Ah that's great. Thanks for checking!

Quote:
Originally Posted by squarezero View Post
Dust works
Crashlands works
Oceanhorn works
Space Marshalls 2 works
Crypt of the NecroDancer works
Thanks for checking and confirming. I can't believe I misremembered what the Crypt of the Necrodancer was called.

Quote:
Originally Posted by FuZion View Post
I have FTL here & that works fine.
Thanks for putting my mind at ease.


---------------------

That leaves the following games to be confirmed either way:

Avernum: Escape from the Pit HD

Avernum 2: Crystal Souls HD

Avadon 2: The Corruption HD

LEGO Batman: Beyond Gotham

LEGO The Lord of the Rings

Rollercoaster Tycoon 3
07-12-2017, 04:27 PM
#8
Joined: Mar 2017
Posts: 8
I emailed spiderweb software about Avernum 1+2, and Avadon 2, and they came back to me with a statement saying it should work just fine, as they've all been made 64 bit compatible, and if they didn't work, just to report it, and they'd get to work on fixing it ASAP, so that's great news. That means there's only 3 games left on the list to confirm.

Those being:

LEGO Batman: Beyond Gotham

LEGO The Lord of the Rings

Rollercoaster Tycoon 3


Update: I just found out Rollercoaster Tycoon is supported on iOS 10 via their knowledgebase

Last edited by Jinxtah; 07-12-2017 at 04:35 PM. Reason: One more game off the list.
07-24-2017, 01:18 PM
#9
Joined: Mar 2017
Posts: 8
I'm sure nobody is paying attention to this thread, but in case it helps someone out there who had the same question, I just updated to the latest version of iOS 10, and all games worked perfectly on my list.

In fact the only game on the list that I got any sort of notification for was lego lotr. A box popped up saying it wouldn't be iOS 11 compatible before the dev had updated the app.